%define upstream_name	 Data-LetterTree
%define upstream_version 0.1

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 24

Summary:	Native letter tree Perl binding 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/G/GR/GROUSSE/%{upstream_name}-%{upstream_version}.tar.bz2

Buildrequires:  liblettertree-devel
Buildrequires:	perl-devel


%description
This module provides perl binding over a native implementation of a letter
tree, allowing to index any kind of perl scalar variable by a large set of
string with a reduced memory footprint over native perl hashes by sharing their
prefixes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files 
%doc README Changes
%{perl_vendorarch}/Data
%{perl_vendorarch}/auto/Data
%{_mandir}/*/*




%changelog
* Tue Jun 07 2022 umeabot <umeabot> 0.100.0-24.mga9
+ Revision: 1861766
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.100.0-23.mga9
+ Revision: 1795622
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.100.0-22.mga9
+ Revision: 1726504
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.100.0-21.mga8
+ Revision: 1594396
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.100.0-20.mga8
+ Revision: 1529437
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.100.0-19.mga8
+ Revision: 1433488
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.100.0-18.mga7
+ Revision: 1292686
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.100.0-17.mga7
+ Revision: 1249073
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.100.0-16.mga7
+ Revision: 1163786
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.100.0-15.mga7
+ Revision: 1149603
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.100.0-14.mga7
+ Revision: 1126510
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.100.0-13.mga6
+ Revision: 1024813
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.100.0-12.mga6
+ Revision: 957057
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.100.0-11.mga6
+ Revision: 843867
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-10.mga5
+ Revision: 741016
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-9.mga5
+ Revision: 684210
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.100.0-8.mga5
+ Revision: 631046
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.100.0-7.mga4
+ Revision: 524756
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.100.0-6.mga4
+ Revision: 431423
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-5.mga3
+ Revision: 365385
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.100.0-4.mga3
+ Revision: 250469
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.100.0-3.mga2
+ Revision: 104088
- perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 0.100.0-2.mga1
+ Revision: 10595
- imported package perl-Data-LetterTree


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.100.0-2mdv2011.0
+ Revision: 555772
- rebuild for perl 5.12

* Sun Feb 14 2010 Jérôme Quelin <jquelin@mandriva.org> 0.100.0-1mdv2010.1
+ Revision: 505726
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.1-7mdv2010.0
+ Revision: 430402
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.1-6mdv2009.0
+ Revision: 256464
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.1-4mdv2008.1
+ Revision: 152046
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1-3mdv2008.0
+ Revision: 86325
- rebuild


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.1-2mdv2007.0
- Rebuild

* Wed Dec 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.1-1mdk
- first mdk release

